<?php

if(defined('WB_URL')) {
	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_textfields`");
	$mod_fields = 'CREATE TABLE `'.TABLE_PREFIX.'mod_textfields` ( '
					 . '`section_id` INT ,'
					 . '`page_id` INT ,'
					 . '`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,'
					 . '`active` BOOL ,' 
					 . '`field1` TEXT NOT NULL DEFAULT \'\' ,'
					 . '`field2` TEXT NOT NULL DEFAULT \'\' ,'
					 . '`field3` TEXT NOT NULL DEFAULT \'\' ,'
					 . '`field4` TEXT NOT NULL DEFAULT \'\' ,'
					 . '`position` INT '
		 . ') ENGINE = MYISAM ';
		
	$database->query($mod_fields);

	$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_textfields_settings`");
	$mod_fields = 'CREATE TABLE `'.TABLE_PREFIX.'mod_textfields_settings` ( '
					 . '`section_id` INT ,'
					 . '`page_id` INT ,'
					 . '`subject` VARCHAR( 255 ) NOT NULL DEFAULT \'\' ,'
					 . '`field1name` VARCHAR( 255 ) NOT NULL DEFAULT \'\' ,'
					 . '`field2name` VARCHAR( 255 ) NOT NULL DEFAULT \'\' ,'
					 . '`field3name` VARCHAR( 255 ) NOT NULL DEFAULT \'\' ,'
					 . '`field4name` VARCHAR( 255 ) NOT NULL DEFAULT \'\' ,'
					 . '`style` TEXT NOT NULL DEFAULT \'\' ,' 
					 . '`header` TEXT NOT NULL DEFAULT \'\' ,' 
					 . '`loop` TEXT NOT NULL DEFAULT \'\' ,' 
					 . '`footer` TEXT NOT NULL DEFAULT \'\' ,' 
					 . '`rssactive` BOOL ,'
					 . 'PRIMARY KEY (section_id)'
                . ' )';
	$database->query($mod_fields);
	
	// Insert info into the search table
	// Module query info
	$field_info = array();
	$field_info['page_id'] = 'page_id';
	$field_info['title'] = 'page_title';
	$field_info['link'] = 'link';
	$field_info['description'] = 'description';
	$field_info['modified_when'] = 'modified_when';
	$field_info['modified_by'] = 'modified_by';
	$field_info = serialize($field_info);
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('module', '4textfields', '$field_info')");
	// Query start
	$query_start_code = "SELECT [TP]pages.page_id, [TP]pages.page_title, [TP]pages.link, [TP]pages.description, [TP]pages.modified_when, [TP]pages.modified_by FROM [TP]mod_textfields, [TP]mod_textfields_settings, [TP]pages WHERE ";
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_start', '$query_start_code', '4textfields')");
	// Query body
	$query_body_code = "[TP]pages.page_id = [TP]mod_textfields.page_id AND [TP]mod_textfields.field1 LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields.page_id AND [TP]mod_textfields.field2 LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields.page_id AND [TP]mod_textfields.field3 LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields.page_id AND [TP]mod_textfields.field4 LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.field1name LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.field2name LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.field3name LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.field4name LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.header LIKE \'%[STRING]%\'
	OR [TP]pages.page_id = [TP]mod_textfields_settings.page_id AND [TP]mod_textfields_settings.footer LIKE \'%[STRING]%\'";
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_body', '$query_body_code', '4textfields')");
	// Query end
	$query_end_code = "";	
	$database->query("INSERT INTO ".TABLE_PREFIX."search (name,value,extra) VALUES ('query_end', '$query_end_code', '4textfields')");	

	// Insert blank row (there needs to be at least one row for the search to work)	
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_textfields (field1) VALUES ('')");
	$database->query("INSERT INTO ".TABLE_PREFIX."mod_textfields_settings (section_id,page_id) VALUES ('0', '0')");
}

?>