<?php
// Must include code to stop this file being access directly
if(!defined('WB_PATH')) { exit("Cannot access this file directly"); }

//Add language file
require(WB_PATH.'/modules/4TextFields/language.php');

//Add functions file
require(WB_PATH.'/modules/4TextFields/functions.php');

$tfSettings = getTFSettings( $section_id, $page_id ); 
?>
<hr />

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td colspan="4" width="80%">
		<h2><? echo $TEXT['ADMIN'].": ".stripslashes($tfSettings['subject']); ?></h2>
	</td>
	<td width="20%">
		<input type="button" value="<?php echo $TEXT['SETTINGS']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/settings_modify.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>';" style="width: 100%;" />
	</tr>
<tr>
	<td colspan="5">
		<h2><?php echo $TEXT['ADD'].'/'.$TEXT['REMOVE'].' '.$TEXT['ITEM']; ?></h2>
	</td>
</tr>
<tr>
	<td colspan="5">
		<input type="button" value="<?php echo $TEXT['ADD']." ".$TEXT['ITEM']; ?>" onclick="javascript: window.location = '<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/item_add.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>';" style="width: 100%;" />
	</td>
</tr>
</table>

<?php
// Loop through existing products

$query ="SELECT * FROM"
			 . "`".TABLE_PREFIX."mod_textfields` "
			 .  "WHERE "
			 . "page_id = '$page_id' AND "
			 . "section_id = '$section_id' "
			 . "ORDER BY position ASC";
$tfItems = $database->query($query);

if($tfItems->numRows() > 0) {
	$num_products = $tfItems->numRows();
	$row = 'a';
	?>
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<?php
	while($item = $tfItems->fetchRow()) {
		?>
		<tr class="row_<?php echo $row; ?>" height="20">
			<td width="20" style="padding-left: 5px;">
				<a href="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/item_modify.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&item_id=<?php echo $item['id']; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/modify_16.png" border="0" alt="Modify - " />
				</a>
			</td>
			<td>
				<a href="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/item_modify.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&item_id=<?php echo $item['id']; ?>">
					<?php echo stripslashes($item['field1']); ?>
				</a>
			</td>
			<td width="80">
				<?php echo $TEXT['ACTIVE'].': '; if($item['active'] == 1) { echo $TEXT['YES']; } else { echo $TEXT['NO']; } ?>
			</td>
			<td width="20px">
			<?php if($item['position'] != 1) { ?>
				<a href="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/move_up.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&item_id=<?php echo $item['id']; ?>" title="<?php echo $TEXT['MOVE_UP']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/up_16.png" border="0" alt="^" />
				</a>
			<?php } ?>
			</td>
			<td width="20px">
			<?php if($item['position'] != $num_products) { ?>
				<a href="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/move_down.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&item_id=<?php echo $item['id']; ?>" title="<?php echo $TEXT['MOVE_DOWN']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/down_16.png" border="0" alt="v" />
				</a>
			<?php } ?>
			</td>
			<td width="20px">
				<a href="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/item_delete.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&item_id=<?php echo $item['id']; ?>');" title="<?php echo $TEXT['DELETE']; ?>">
					<img src="<?php echo ADMIN_URL; ?>/images/delete_16.png" border="0" alt="X" />
				</a>
			</td>
		</tr>
		<?php
		// Alternate row color
		if($row == 'a') {
			$row = 'b';
		} else {
			$row = 'a';
		}
	}
	?>
	</table>
	<?php
} else {
	echo $TEXT['NONE_FOUND'];
} ?>
<hr />
<br />