<?php

require('../../config.php');

// Get id
if(!isset($_GET['item_id']) OR !is_numeric($_GET['item_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$page_id=$_GET['page_id'];
	$section_id=$_GET['section_id'];
	$item_id = $_GET['item_id'];
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

//Add language file
require(WB_PATH.'/modules/4TextFields/language.php');

//Add functions file
require(WB_PATH.'/modules/4TextFields/functions.php');

$tfSettings = getTFSettings( $section_id, $page_id ); 
$tfItem = getTFItem( $item_id );

?>
<h2><?php echo $TEXT['ADD'].'/'.$TEXT['MODIFY'].' '.$TEXT['ITEM']; ?></h2>

<form name="modify" action="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/item_save.php" method="post" enctype="multipart/form-data" style="margin: 0;">

<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="item_id" value="<?php echo $item_id; ?>">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
  <td width="150px"><?php echo($tfSettings['field1name']); ?>:</td>
  <td><input type="text" name="field1" id="field1" value="<?php echo stripslashes($tfItem['field1']); ?>" style="width: 50%;" maxlength="150" /></td>
</tr>
<tr>
  <td width="150px"><?php echo($tfSettings['field2name']); ?>:</td>
  <td><textarea name="field2" id="field2" style="width: 100%; height: 80px;"><?php echo str_replace($raw, $friendly, stripslashes($tfItem['field2'])); ?></textarea></td>
</tr>
<tr>
  <td width="150px"><?php echo($tfSettings['field3name']); ?>:</td>
  <td><input type="text" name="field3" id="field" value="<?php echo stripslashes($tfItem['field3']); ?>" style="width: 50%;" maxlength="150" /></td>
</tr>
<tr>
  <td width="150px"><?php echo($tfSettings['field4name']); ?>:</td>
  <td><input type="text" name="field4" id="field4" value="<?php echo stripslashes($tfItem['field4']); ?>" style="width: 50%;" maxlength="150" /></td>
</tr>
<tr>
	<td width="150px"><?php echo $TEXT['ACTIVE']; ?>:</td>
	<td>
		<input type="radio" name="is_active" id="is_active_true" value="1" <?php if($tfItem['active'] == 1) { echo ' checked'; } ?> />
		<a href="#" onclick="javascript: document.getElementById('is_active_true').checked = true;">
		<?php echo $TEXT['YES']; ?>
		</a>
		&nbsp;
		<input type="radio" name="is_active" id="is_active_false" value="0" <?php if($tfItem['active'] == 0) { echo ' checked'; } ?> />
		<a href="#" onclick="javascript: document.getElementById('is_active_false').checked = true;">
		<?php echo $TEXT['NO']; ?>
		</a>
	</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td width="150px">&nbsp;
	</td>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 200px; margin-top: 5px;">
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>
</form>
<?php

// Print admin footer
$admin->print_footer();

?>