<?php

// get section
if(isset($_GET['page_id']) AND is_numeric($_GET['page_id'])) {
	$page_id = $_GET['page_id'];
	define('PAGE_ID', $page_id);
	$section_id = $_GET['section_id'];
	define('SECTION_ID', $section_id);	
} else {
	header('Location: '.WB_URL);
	exit(0);
}

// include WB files
require_once('../../config.php');
require_once(WB_PATH.'/framework/class.frontend.php');
$database = new database();
$wb = new frontend();
$wb->page_id = $page_id;
$wb->get_page_details();
$wb->get_website_settings();

// Header info
// Required by RSS 2.0
header("Content-type: text/xml; charset=utf-8" );
?>
<rss version="2.0" >
<channel>
<title><?php echo PAGE_TITLE; ?></title>
<link>http://<?php echo $_SERVER['SERVER_NAME']; ?></link>
<description> <?php echo PAGE_DESCRIPTION; ?></description>
<language><?php echo DEFAULT_LANGUAGE; ?></language>
<copyright><?php echo SERVER_EMAIL; ?></copyright>
<managingEditor><?php echo SERVER_EMAIL; ?></managingEditor>
<webMaster><?php echo SERVER_EMAIL; ?></webMaster>
<category><?php echo WEBSITE_TITLE; ?></category>
<generator><?php echo WEBSITE_TITLE; ?></generator>

<?php
#get settings
/* $query ="SELECT * FROM "
			 . "`".TABLE_PREFIX."mod_textfields_settings` "
			 .  "WHERE "
			 . "page_id = '$page_id' AND "
			 . "section_id = '$section_id' "
			 . "LIMIT 1";
$tfSettings = $database->query($query);

#put settings into variables
if($tfSettings->numRows() > 0) {
	$footer = stripslashes($fetch_settings['rss_body']);
} else {
	$footer = '';
} */

# get items
$query = "SELECT * FROM "
			 . "`".TABLE_PREFIX."mod_textfields` "
			 .  "WHERE "
			 . "page_id = '$page_id' AND "
			 . "section_id = '$section_id' AND "
			 . "active = TRUE "
			 . "ORDER BY position ASC;";
$tfItems = $database->query($query);

//Generating the news items
while($fetch_items = $tfItems->fetchRow()) {?>
	<item>
	<title><![CDATA[<?php echo stripslashes($fetch_items["field1"]); ?> - <?php echo stripslashes($fetch_items["field3"]); ?>]]></title>
	<description><![CDATA[<?php echo stripslashes($fetch_items["field2"]); ?>]]></description>
	<guid><?php echo $fetch_items["field4"]; ?></guid>
	<link><?php echo $fetch_items["field4"]; ?></link>
	</item>
<?php } ?>

</channel>
</rss>
