<?php

require('../../config.php');

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

//Add language file
require(WB_PATH.'/modules/4TextFields/language.php');

//Add functions file
require(WB_PATH.'/modules/4TextFields/functions.php');

// Get settings
$tfSettings = getTFSettings( $section_id, $page_id );
?>

<style type="text/css">
.setting_name {
	vertical-align: top;
}
</style>
<h2><?php echo $TEXT['MODIFY']; ?> <?php echo $TEXT['SETTINGS']; ?></h2>
<form name="modify" action="<?php echo WB_URL; ?>/modules/<?php echo $tfPath; ?>/settings_save.php" method="post" style="margin: 0;">

<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">

<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
	<td class="setting_name"><?php echo $TEXT['NAME']; ?>:</td>
	<td>
		<input type="text" name="name" value="<? echo stripslashes($tfSettings['subject']); ?>" style="width: 100%" />
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['FIELD_1']; ?> <?php echo $TEXT['NAME']; ?>:</td>
	<td>
		<input type="text" name="field1name" value="<? echo stripslashes($tfSettings['field1name']); ?>" style="width: 100%" />
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['FIELD_2']; ?> <?php echo $TEXT['NAME']; ?>:</td>
	<td>
		<input type="text" name="field2name" value="<? echo stripslashes($tfSettings['field2name']); ?>" style="width: 100%" />
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['FIELD_3']; ?> <?php echo $TEXT['NAME']; ?>:</td>
	<td>
		<input type="text" name="field3name" value="<? echo stripslashes($tfSettings['field3name']); ?>" style="width: 100%" />
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['FIELD_4']; ?> <?php echo $TEXT['NAME']; ?>:</td>
	<td>
		<input type="text" name="field4name" value="<? echo stripslashes($tfSettings['field4name']); ?>" style="width: 100%" />
	</td>
</tr>
<tr>
	<td class="setting_name" width="150"><?php echo $TEXT['STYLE']; ?>:</td>
	<td>
		<textarea name="style" style="width: 100%; height: 80px;"><?php echo stripslashes($tfSettings['style']); ?></textarea>
	</td>
</tr>
<tr>
	<td class="setting_name" width="150"><?php echo $TEXT['HEADER']; ?>:</td>
	<td>
		<textarea name="header" style="width: 100%; height: 80px;"><?php echo stripslashes($tfSettings['header']); ?></textarea>
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['ITEM'].' '.$TEXT['LOOP']; ?>:</td>
	<td>
		<textarea name="loop" style="width: 100%; height: 60px;"><?php echo stripslashes($tfSettings['loop']); ?></textarea>
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['FOOTER']; ?>:</td>
	<td>
		<textarea name="footer" style="width: 100%; height: 80px;"><?php echo str_replace($raw, $friendly, stripslashes($tfSettings['footer'])); ?></textarea>
	</td>
</tr>
<tr>
	<td class="setting_name"><?php echo $TEXT['ENABLE']; ?> <?php echo $TEXT['RSS']; ?>:</td>
	<td>
		<input type="radio" name="is_rss_active" id="is_rss_active_true" value="1" <?php if($tfItem['rss_active'] == 1) { echo ' checked'; } ?> />
		<a href="#" onclick="javascript: document.getElementById('is_rss_active_true').checked = true;">
		<?php echo $TEXT['YES']; ?>
		</a>
		&nbsp;
		<input type="radio" name="is_rss_active" id="is_rss_active_false" value="0" <?php if($tfItem['rss_active'] == 0) { echo ' checked'; } ?> />
		<a href="#" onclick="javascript: document.getElementById('is_rss_active_false').checked = true;">
		<?php echo $TEXT['NO']; ?>
		</a>
	</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td width="155">&nbsp;</td>
	<td align="left">
		<input name="save" type="submit" value="<?php echo $TEXT['SAVE'].' '.$TEXT['SETTINGS']; ?>" style="width: 200px; margin-top: 5px;" />
	</td>
	<td align="right">
		<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	</td>
</tr>
</table>

</form>

<?php

// Print admin footer
$admin->print_footer();

?>